GetNetworkMigrationMapperSegmentConstruct
Retrieves detailed information about a specific construct within a mapper segment, including its properties and configuration data.
Request Syntax
POST /network-migration/GetNetworkMigrationMapperSegmentConstruct HTTP/1.1
Content-type: application/json
{
"constructID": "string",
"networkMigrationDefinitionID": "string",
"networkMigrationExecutionID": "string",
"segmentID": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- constructID
-
The unique identifier of the construct within the segment.
Type: String
Length Constraints: Fixed length of 36.
Pattern:
[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}Required: Yes
- networkMigrationDefinitionID
-
The unique identifier of the network migration definition.
Type: String
Length Constraints: Fixed length of 21.
Pattern:
nmd-[0-9a-zA-Z]{17}Required: Yes
- networkMigrationExecutionID
-
The unique identifier of the network migration execution.
Type: String
Length Constraints: Fixed length of 36.
Pattern:
[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}Required: Yes
- segmentID
-
The unique identifier of the mapper segment.
Type: String
Length Constraints: Fixed length of 36.
Pattern:
[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}Required: Yes
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"construct": {
"constructID": "string",
"constructType": "string",
"createdAt": number,
"description": "string",
"logicalID": "string",
"name": "string",
"properties": {
"string" : "string"
},
"updatedAt": number
}
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- construct
-
The construct metadata including type, name, and configuration.
Type: NetworkMigrationMapperSegmentConstruct object
Errors
For information about the errors that are common to all actions, see Common Errors.
- AccessDeniedException
-
Operating denied due to a file permission or access check error.
HTTP Status Code: 403
- ResourceNotFoundException
-
Resource not found exception.
- resourceId
-
Resource ID not found error.
- resourceType
-
Resource type not found error.
HTTP Status Code: 404
- ValidationException
-
Validate exception.
- fieldList
-
Validate exception field list.
- reason
-
Validate exception reason.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: